espeak-ng (1.50+dfsg-6) unstable; urgency=medium

  * control: Build-depend on kramdown instead of ruby-kramdown
    (Closes: #949562).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Jan 2020 18:24:00 +0100

espeak-ng (1.50+dfsg-5) unstable; urgency=medium

  * patches/fix-tests-bash: Fix running tests with /bin/sh being bash.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2020 15:30:24 +0100

espeak-ng (1.50+dfsg-4) unstable; urgency=medium

  * greek-rules: Add missing greek rules, fixes build on some archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Dec 2019 09:40:35 +0100

espeak-ng (1.50+dfsg-3) unstable; urgency=medium

  * rules: Do not set ESPEAK_DATA_PATH, Makefile actually sets it (but
    wrongly).
  * patches/ESPEAK_DATA_PATH: Fix setting ESPEAK_DATA_PATH.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:50:17 +0100

espeak-ng (1.50+dfsg-2) unstable; urgency=medium

  * rules: Set ESPEAK_DATA_PATH to source directory during tests
    (Closes: Bug#946052).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:02:21 +0100

espeak-ng (1.50+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/audio_reopen: Upstreamed.
    - patches/lessgreat-punct: Upstreamed.
    - patches/out_of_bound: Upstreamed.
    - patches/nocancel: Upstreamed.
    - patches/fix-cancel: Refreshed.
    - patches/privacy: Refreshed.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * rules: Re-enable tests.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 01:48:39 +0100

espeak-ng (1.49.2+dfsg-8) unstable; urgency=medium

  * patches/fix-cancel: Do not open audio when audio speak mode is not
    enabled.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Nov 2018 00:01:43 +0100

espeak-ng (1.49.2+dfsg-7) unstable; urgency=medium

  * nocancel: Fix hang on cancellation of threads holding mutexes.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Nov 2018 11:02:44 +0100

espeak-ng (1.49.2+dfsg-6) unstable; urgency=medium

  * rules: Fix binary-indep build, thanks Santiago Vila for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 01:28:37 +0200

espeak-ng (1.49.2+dfsg-5) unstable; urgency=medium

  * control: Make espeak-ng-espeak Architecture: all.
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Compare autopkgtest output against reference.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:28:28 +0200

espeak-ng (1.49.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/lessgreat-punct: Upstream fix for punctuation classification
    (Closes: Bug#902347).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jul 2018 09:37:47 +0200

espeak-ng (1.49.2+dfsg-3) unstable; urgency=medium

  * control: Replace ruby-ronn build-dep with ronn (Closes: Bug#903057).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2018 01:43:39 +0200

espeak-ng (1.49.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes).
  * patches/out_of_bound: Fix out of bound access
  * patches/audio_reopen: Try to reopen audio device on each text synth, so
    that e.g. busy cards don't prevent future text synth.
  * patches/privacy: Remove external img URLs from README.html

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2018 21:24:54 +0200

espeak-ng (1.49.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/monotonous: Drop patch, fixed upstream.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jan 2018 00:29:48 +0100

espeak-ng (1.49.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Upload to 1.49.1+dfsg to unstable
  * Improve watch file
  * Refresh patches

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 20:46:10 +0200

espeak-ng (1.49.0+dfsg-11) unstable; urgency=medium

  * patches/bufsize: Increasing the buffersize to 60ms brought back some
    overlapping. Revert this to 49ms, which both avoids overlapping, and
    was tested to work fine with all MBROLA voices.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Jun 2017 22:04:57 +0200

espeak-ng (1.49.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - patches/{ieee,git-unary,git-ewmh,big-endian,reproducible,
    git-reactivity,bufsize}: Remove, merged upstream.
    - rules: Disable dh_auto_test, upstream uses it only for android.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 17:00:29 +0200

espeak-ng (1.49.0+dfsg-10) unstable; urgency=medium

  * patches/bufsize: Increase buffersize to 60ms like upstream did, to fix using
    MBROLA voices (Closes: Bug#860891).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 16:32:54 +0200

espeak-ng (1.49.0+dfsg-9) unstable; urgency=medium

  * control: Add version to libespeak-ng-libespeak1 Provides
    (Closes: Bug#859949).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2017 23:05:00 +0200

espeak-ng (1.49.0+dfsg-8) unstable; urgency=medium

  * control: Fix libespeak-ng-libespeak1 dependency on libespeak-ng1, thanks
    Andreas Beckmann (Closes: Bug#857523)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 13:00:59 +0100

espeak-ng (1.49.0+dfsg-7) unstable; urgency=medium

  * control: Fix Vcs and Homepage fields, thanks Jeremy Bicha for the notice
    (Closes: Bug#851484).
  * patches/git-reactivity: Drop part of patch which was reverted upstream.
  * patches/fix-cancel: Close audio on cancel like espeak used to do, to make
    sure audio cards don't keep PCM in buffers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:01:06 +0100

espeak-ng (1.49.0+dfsg-6) unstable; urgency=medium

  * patches/bufsize: Reduce buffer size to improve interactivity when the
    audio output gets stuck.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jan 2017 03:41:38 +0100

espeak-ng (1.49.0+dfsg-5) unstable; urgency=medium

  * patches/monotonous: Work-around monotonous speech issue with brltty
    (Closes: Bug#848158).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jan 2017 23:14:24 +0100

espeak-ng (1.49.0+dfsg-4) unstable; urgency=medium

  * patches/git-reactivity: Complete with more upstream fixes for reactivity.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jan 2017 23:32:08 +0100

espeak-ng (1.49.0+dfsg-3) unstable; urgency=medium

  * patches/reproducible: Make build reproducible by fixing uninitialized
    values.
  * patches/git-reactivity: cherry-pick upstream fix for reactivity
    (Closes: Bug#848016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Dec 2016 16:11:13 +0100

espeak-ng (1.49.0+dfsg-2) unstable; urgency=medium

  * control: Update Uploaders.
  * patches/big-endian: Fix build on big-endian archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Nov 2016 00:37:35 +0100

espeak-ng (1.49.0+dfsg-1) unstable; urgency=medium

  * New fork release (Closes: Bug#836800)
  * patches: Remove all patches except path, and refresh it.
  * patches/ieee: Fix ieee80.c build.
  * control: Rename packages to espeak-ng. Add espeak-ng-espeak,
    libespeak-ng-espeak1, and libespeak-ng-espeak-dev compatibility
    packages. Add dh-autoreconf, dh-exec, ruby-ronn, ruby-kramdown
    build-dependencies, replace portaudio19-dev and libpulse-dev dependency
    with libpcaudio-dev.
  * watch: Switch to espeak-ng;
  * docs,copyright,espeak-ng.doc-base: update.
  * clean, dirs: drop.
  * rules: Almost drop everything.
  * espeak.1, manpages: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2016 01:05:00 +0200

espeak (1.48.04+dfsg-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #836690)
    + Pass triplet-prefixed CXX to make

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:42:23 +0200

espeak (1.48.04+dfsg-4) unstable; urgency=medium

  * patches/path: Drop looking for voices in /usr/share/mbrola/voices: our
    Debian packages never put voices there, and letting espeak look there
    would show a warning to the user that suggests that voices should be put
    there, which is not the case in Debian.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:29:54 +0200

espeak (1.48.04+dfsg-3) unstable; urgency=medium

  * patches/char_cast: New patch, fixes build with g++-6 (Closes: Bug#811772).
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 23:59:25 +0200

espeak (1.48.04+dfsg-2) unstable; urgency=medium

  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).
  * espeak.1: Update, thus adding -g and -z documentation. Closes: Bug#788190.
  * patches/fpic: Patch from upstream to fix sparc64 build.
  * compat: Bump to 9.
  * rules: Use dh.
  * control: Drop hardening-wrapper build-depend.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 20:30:50 +0100

espeak (1.48.04+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without windows platform files.
  * watch: Mangle version for +dfsg.
  * copyright: Add portaudio and sonic licences. Closes: Bug#747214.
  * Remove libespeak1-udeb, we will continue linking espeakup statically.
    Closes: Bug#747240.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 12:04:40 +0200

espeak (1.48.04-1) unstable; urgency=medium

  * New upstream release
  * copyright: Update.
  * patches/utf-8-init: Refresh.
  * rules: Fix privacy-breach-logo.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 19:05:04 +0200

espeak (1.47.11-2) unstable; urgency=medium

  * Add libespeak1-udeb shared library for the installer, so it can be
    upgraded at the same time as libespeak-data.

  * libespeak1.shlibs: Remove file, replaced by dh_makeshlibs call.
  * Remove pulse-trigger-on-final-chunk, it actually does not have effect.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 00:50:40 -0500

espeak (1.47.11-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use phondata-manifest in the espeak-data directory
  * Updated espeak manpage
  * Updated copyright

  [ Jason White ]
  * Pass compiler flags on make command line so they won't be ignored.
    (Closes: #707925)
  * Rebuild object files with AUDIO=runtime after building static library
    without it. (Closes: #707912)

  [ Samuel Thibault ]
  * Add utf-8-init patch to fix initialization of utf-8 locale for proper
    character properties detection.
  * Add pulse-trigger-on-final-chunk patch to flush the pulse output.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 20:57:44 +0200

espeak (1.46.02-2) unstable; urgency=low

  * debian/rules: Move espeak-data to /usr/lib/$multiarch/espeak-data to
    permit...
  * debian/control: ... make espeak-data multiarch: same.
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Do not make espeak-data recommend espeak (Closes: Bug#674851).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 22:52:29 +0200

espeak (1.46.02-1) unstable; urgency=low

  [ Luke Yelavich ]
  * Update the explanation of the -b command-line flag in the espeak manpage
  * New upstream release
  * debian/control: Add libpulse-dev as a build dependency
  * debian/rules:
    - Build espeak with AUDIO=runtime
    - Reinstate parsing the changelog for the soname version, and extend the
      command to only extract the major version of the soname
  * debian/patches/leak: Dropped, applied upstream
  * Build for multi-arch
  * Fix some lintian warnings

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 08 Jan 2012 11:33:31 +0000

espeak (1.45.04-2) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/control: Build-depend on libsonic-dev.
  * debian/patches/sonic: New patch to make espeak use the system libsonic
    instead of its copy.
  * debian/patches/leak: Fix fd leak (Closes: Bug#638745).

  [ Boris Dušek ]
  * espeak-dbg: Fix package description

 -- Boris Dušek <dusek@brailcom.org>  Wed, 15 Jun 2011 13:24:20 +0200

espeak (1.45.04-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release (Closes: #622747).
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Remove "A" from package descriptions, see lintian's
    description-synopsis-starts-with-article.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 May 2011 17:16:59 +0200

espeak (1.45.03-1) unstable; urgency=low

  New upstream release (Closes: Bug#614386).
  * debian/control: Update language support comment.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Mar 2011 20:54:50 +0200

espeak (1.44.05-1) unstable; urgency=low

  [ Luke Yelavich ]
  * debian/copyright: update
  * Update manpage to add command-line flags and fix some errors

  [ Mario Lang ]
  * New upstream version (Closes: Bug#594872)

  [ Nicolas Boulenguez ]
  * Made the html docs a subdir.
  * Referenced it in doc-base.
  * Correct syntax in manpage.
  * Separate common paragraph of each description, to ease translations.
  * Remove empty postinst and postrm.
  * Add ${misc:Depends} to espeak-data-udeb, update the description to mention
    d-i.
  * Use Package-Type instead of XC-Package-Type.

  [ Samuel Thibault ]
  * debian/copyright: Fix Jonathan's mail.
  * debian/control: Add espeak-dbg package.
  * debian/rules: Put debugging symbols into espeak-dbg (Closes: Bug#608984).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 20:41:59 +0100

espeak (1.43.03-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.0 (no change needed).
  * debian/patches/big-endian.diff: New patch to fix phoneme index on
    big-endian machines (Closes: #585654).
  * debian/rules: Use portaudio19.h for building, but revert to upstream
    portaudio18.h on cleaning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Aug 2010 22:30:18 +0200

espeak (1.43.03-1) unstable; urgency=low

  * New upstream release (Closes: #564583, #573536).
  * debian/control:
    - Add misc:Depends to espeak-data.
    - Bump Standards-Version to 3.9.0 (no change needed).
    - Set Maintainer to debian-accessibility.
    - Add myself as uploader.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Jul 2010 19:54:37 +0200

espeak (1.43-1) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/watch: Add.
  * debian/rules: Systematically rebuild voices for big-endian architectures
    (Closes: Bug#439019).
  * src/speak_lib.h: Include stddef.h (Closes: Bug#565571).

  [ Mario Lang ]
  * New upstream release.
  * debian:watch: Use sf redirector.
  * debian/rules: Fix location of phonedata-manifest.
  * debian/rules Add ${misc:Depends} to a few packages to make lintian
    happy.
  * debian/control: Upgrade Standards-Version from 3.8.1 to 3.8.4 (no
    changes).

 -- Mario Lang <mlang@debian.org>  Fri, 19 Feb 2010 19:30:55 +0100

espeak (1.41.01-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#543453)
  * Remove the paragraph about KTTS from the package description
    (Closes: Bug#492000).

 -- Mario Lang <mlang@debian.org>  Tue, 25 Aug 2009 17:23:53 +0200

espeak (1.40.02-2) unstable; urgency=low

  * Provide espeak-data-udeb. (Closes: 522578)
  * debian/control:
    - Add Vcs-Git and Vcs-Browser fields.
    - Update Standards-Version to 3.8.1 (no changes).

 -- Mario Lang <mlang@debian.org>  Sun, 24 May 2009 22:55:52 +0200

espeak (1.40.02-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Standards-Version to 3.8.0 (no changes).

 -- Mario Lang <mlang@debian.org>  Sun, 15 Feb 2009 14:13:26 +0100

espeak (1.37-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Sun, 20 Apr 2008 19:01:41 +0200

espeak (1.36.02-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Tue, 18 Mar 2008 17:32:49 +0100

espeak (1.30-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add Hompeage field.
    - Update Standards-Version to 3.7.3 (no changes).
  * debian/copyright: Update to include missed copyright
    holders and mention big_endian/espeak-phoneme-data.c.

 -- Mario Lang <mlang@debian.org>  Sat, 05 Jan 2008 12:58:30 +0100

espeak (1.29-1) unstable; urgency=low

  * New upstream release (Closes: Bug#439770).
  * debian/copyright: Upstream switched to GPLv3.  Update accordingly.
  * debian/libespeak1.shlibs: Bump version.

 -- Mario Lang <mlang@debian.org>  Sun, 14 Oct 2007 12:51:29 +0200

espeak (1.26-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change ${Source-Version} to ${binary:Version}.

 -- Mario Lang <mlang@debian.org>  Fri, 08 Jun 2007 20:04:18 +0200

espeak (1.25-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Grab the upstream version using dpkg-parsechangelog.

 -- Mario Lang <mlang@debian.org>  Sun, 20 May 2007 16:12:39 +0200

espeak (1.22-1) unstable; urgency=low

  * New upstream release.
  * Install speak_lib.h in /usr/include/espeak.
  * Install src/espeak (dynamically linked) rather then src/speak.
  * Use -L and -l with dh_shlibdeps so we pick up a tight dependency
    on libespeak1 for package espeak.
  * Change espeak-data to Arch: any.

 -- Mario Lang <mlang@debian.org>  Sat, 14 Apr 2007 22:42:03 +0200

espeak (1.19-2) unstable; urgency=low

  * Change roundl() to round() in src/wave.cpp.

 -- Mario Lang <mlang@debian.org>  Mon, 29 Jan 2007 13:32:47 +0100

espeak (1.19-1) unstable; urgency=low

  * New upstream release (Closes: Bug#406840, Bug#408741).

 -- Mario Lang <mlang@debian.org>  Sun, 28 Jan 2007 23:58:18 +0100

espeak (1.16-2) unstable; urgency=low

  * Fix first-person description (Closes: Bug#399585)

 -- Mario Lang <mlang@debian.org>  Mon, 27 Nov 2006 15:24:02 +0100

espeak (1.16-1) unstable; urgency=low

  * New upstream release
  * Add missing dh_makeshlibs and fix misplaced dh_installdeb call.

 -- Mario Lang <mlang@debian.org>  Tue,  7 Nov 2006 10:55:27 +0100

espeak (1.15-0ubuntu2) edgy; urgency=low

  * Fixed up dependencies for espeak and libespeak1 to properly depend 
    on espeak-data.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 29 Sep 2006 09:40:44 +1000

espeak (1.15-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * Updated manpage.
  * Break out synthesizer data files into new package, espeak-data.
  * Created libespeak1 and libespeak-dev library packages.
  * debian/control: Removed ${misc:Depends} from the espeak package
    Depends field as it isn't needed.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 26 Sep 2006 18:58:56 +1000

espeak (1.11-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * debian/rules: Cleaned up a little bit.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed,  9 Aug 2006 20:59:08 +1000

espeak (1.10-0ubuntu1) edgy; urgency=low

  * Initial release.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 23 Jun 2006 08:49:03 +0200

